<%-- 
    Document   : resultado
    Created on : 19-sep-2010, 19:25:36
    Author     : Administrador
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<jsp:useBean id="claseWeka" scope="page" class="paqueteJava.claseWeka"/>


<% String marca_f = request.getParameter("marca");
   claseWeka.setMarca(marca_f);
   String modelo_f = request.getParameter("modelo");
   claseWeka.setModelo(modelo_f);
   claseWeka.setCarroceria(new String(request.getParameter("carroceria").getBytes("ISO-8859-1"),"UTF-8"));
   claseWeka.setPotencia(request.getParameter("potencia"));
   claseWeka.setMes(request.getParameter("mes"));
   claseWeka.setAño(request.getParameter("ano"));
   
   claseWeka.setCambio(new String(request.getParameter("cambio").getBytes("ISO-8859-1"),"UTF-8"));
   
   claseWeka.setKilometros(request.getParameter("kilometros"));
   claseWeka.setCombustible(new String(request.getParameter("combustible").getBytes("ISO-8859-1"),"UTF-8"));
   claseWeka.setConsumo(request.getParameter("consumo"));
   claseWeka.setWd4(request.getParameter("wd4"));
   claseWeka.setAirbag(request.getParameter("airbag"));
   claseWeka.setAirbag_a(request.getParameter("airbag_a"));
   claseWeka.setAirbag_l(request.getParameter("airbag_l"));
   claseWeka.setAire_a(request.getParameter("aire_a"));
   claseWeka.setCierre_c(request.getParameter("cierre_c"));
   claseWeka.setClimatizador(request.getParameter("climatizador"));
   claseWeka.setDireccion_a(request.getParameter("direccion_a"));
   claseWeka.setElevalunas(request.getParameter("elevalunas"));
   claseWeka.setXenon(request.getParameter("xenon"));
   claseWeka.setLlantas(request.getParameter("llantas"));
   claseWeka.setAparcar_a(request.getParameter("aparcar_asis"));
   claseWeka.setNavegador(request.getParameter("navegador"));
   claseWeka.setAsientos_cuero(request.getParameter("asientos_cuero"));
   claseWeka.setTecho_solar(request.getParameter("techo_solar"));
   claseWeka.setAbs(request.getParameter("abs"));
   claseWeka.setAdap_disca(request.getParameter("adap_disca"));
   claseWeka.setAlarma(request.getParameter("alarma"));
   claseWeka.setAsientos_calef(request.getParameter("asientos_cale"));
   claseWeka.setAsientos_ele(request.getParameter("asientos_ele"));
   claseWeka.setBaca(request.getParameter("baca"));
   claseWeka.setBizona(request.getParameter("bizona"));
   claseWeka.setBola_r(request.getParameter("bola"));
   claseWeka.setControl_t(request.getParameter("control_trac"));
   claseWeka.setControl_vel(request.getParameter("control_vel"));
   claseWeka.setEsp(request.getParameter("esp"));
   claseWeka.setAnti_niebla(request.getParameter("anti_niebla"));
   claseWeka.setInmobilizador(request.getParameter("inmobilizador"));
   claseWeka.setOrdenador_bordo(request.getParameter("ordenador"));
   claseWeka.setRadio(request.getParameter("radio"));
   claseWeka.setRadio_cd(request.getParameter("radio_cd"));
   claseWeka.setTunning(request.getParameter("tunning"));

   claseWeka.setAlgoritmo(request.getParameter("algoritmo"));
   %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Resultados de la prediccion</title>
    </head>
    <basefont size="2" face="Arial" >
    <body>
        <br><br>
        
        <table border="0" align="center" width="900px" align="center">
            <tr><td>
        <% out.print(claseWeka.getMarca()+" "+claseWeka.getModelo()+" | ");



         if((claseWeka.getMarca()!=null) && (claseWeka.getModelo()!=null)){
            out.print(claseWeka.prediccion()+"<br><br>") ;

             
            }
        %>

        <fieldset >
            <legend align="center"> Vehiculos recomendados </legend>
            
            <%
             claseWeka.abrirConexion();
             out.print(claseWeka.recomendados()) ;
             claseWeka.cerrarConexion();

            %>
            <br>
        </fieldset>
        <br>
        <p align="center">
        <a href="index.jsp">Nueva Busqueda</a>
        </p>
                </td>
            </tr>
        </table>
      
    </body>
</html>
